/*
 *  gbe - gameboy emulator
 *  Copyright (C) 1999  Chuck Mason, Steven Fuller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *
 *  Chuck Mason <chuckjr@sinclair.net>
 *  Steven Fuller <relnev@atdot.org>
 */
#ifndef __X11_H
#define __X11_H

#include <X11/Xlib.h>                        /* for XWindows */
#include <X11/keysym.h>                      /* for XWindows */
#include <X11/keysymdef.h>                   /* for XWindows */

int gbe_init_x11(char *display);
int gbe_close_x11();
int gbe_create_window_x11(char *, int, int);
int gbe_poll_events_x11();
int gbe_blit_x11();
int gbe_plot_x11(int, int, int);

#endif
