/*
 *  gbe - gameboy emulator
 *  Copyright (C) 1999  Chuck Mason, Steven Fuller
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *
 *  Chuck Mason <chuckjr@sinclair.net>
 *  Steven Fuller <relnev@atdot.org>
 */
#ifndef __DATA_H
#define __DATA_H

typedef enum _force_type { REGULAR = 0, COLOR = 1, NONE } force_type;

typedef union _wordun {
	unsigned short uw;
	  signed short sw;
	struct {
		unsigned char l;
		unsigned char h;
	} b;
} wordun;

extern unsigned long cycles_per_hblank;
extern unsigned char use_joystick;
extern unsigned char gameboy_screen_mul;
extern force_type force_system;
extern char **gbe_argv;
extern int    gbe_argc;

#endif